/* {
background-color: #000;
}*/

html {
  background-color: rgba(0, 0, 0, 1);
}

@font-face {
  font-family: "Horizon";
  src: url("./assets/fonts/horizon.otf");
}

@font-face {
  font-family: "Futura";
  src: url("./assets/fonts/futura.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Futura";
  src: url("./assets/fonts/futuraheavy.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

@property --gradientL {
  syntax: "<color>";
  initial-value: rgba(0, 0, 0, 0);
  inherits: false;
}

@property --gradientR {
  syntax: "<color>";
  initial-value: rgba(0, 0, 0, 0);
  inherits: false;
}

* {
  align-items: center;
}

body {
  letter-spacing: 0;
  font-weight: 400;
  overflow-y: scroll;
  font-family: Futura, sans-serif;
  margin: 0;
  color: white;
  background: linear-gradient(to right, var(--gradientL), var(--gradientR));
  transition: --gradientL 0.5s, --gradientR 0.5s;
  overscroll-behavior: none;
  -webkit-font-smoothing: antialiased;
  /*text-rendering: optimizeLegibility !important;*/
}

h1 {
  font-family: Horizon, sans-serif;
}

#backgroundImage {
  position: fixed;
  top: 60px;
  left: 22.5px;
  width: calc(100vw - 45px);
  height: calc(100vh - 45px);
  background-color: rgba(0, 0, 0, 0);
  background-image: url("./black_background_logo.svg");
  background-repeat: no-repeat;
  background-size: 50vw;
  background-position: center;
  opacity: 0.1;
  z-index: -1;
  transition: opacity 0.2s ease;
}

header {
  position: fixed;
  width: calc(100%);
  color: #ffffff;
  padding: 20px;
  height: 30px;
  text-align: center;
  box-shadow: 2px 5px 5px 1px rgba(100, 100, 100, 0.6);
  background-color: #181818;
  z-index: 99999;
}

.header-filler {
  width: 90%;
  padding: 20px;
  height: 30px;
}

nav {
  padding: 10px;
  top: 7.5px;
}

nav a {
  color: #333333;
  text-decoration: none;
  margin-right: 20px;
}

a {
  color: #aaa;
  text-decoration: none;
}

.navbar {
  vertical-align: middle;
  position: fixed;
  margin-left: 0px;
  width: calc(100% - 60px);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
  height: 60px;
  z-index: 9999;
}

.logo img {
  height: 50px;
}

.nav-links {
  list-style: none;
  display: flex;
}

.nav-links li {
  margin-left: 5px;
  text-align: center;
  margin-bottom: 0;
  margin-top: 0;
}

.nav-links a {
  text-align: center;
  text-decoration: none;
  color: white;
  padding: 8px 8px;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.nav-links a:hover {
  background-color: rgba(255, 255, 25, 0.2);
}

main {
  background-color: rgba(0, 0, 0, 0);
}

.main-text {
  margin: auto;
  padding: 20px;
  width: 50vw;
  background-color: rgba(0, 0, 0, 0);
}

.member-list-container {
  background-color: rgba(0, 0, 0, 0);
  display: inline-flex;
  text-align: left;
  justify-content: center;
  align-items: center;
  vertical-align: middle;
  background-color: none;
  margin-bottom: 15px;
}

.member-list-text-content {
  background-color: rgba(0, 0, 0, 0);
  display: inline-block;
  justify-content: center;
  align-items: center;
  vertical-align: middle;
}

.member-list-image-container {
  background-color: rgba(0, 0, 0, 0);
  width: 5vw;
  height: 10vw;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 50px;
  vertical-align: middle;
  margin-bottom: 2vw;
}

.bold-futura {
  letter-spacing: -0.04em;
}

.member-list-text-content h1 {
  background-color: rgba(0, 0, 0, 0);
  font-family: Futura, sans-serif;
  margin: 0;
  font-size: 48px;
}

.member-list-text-content h2 {
  background-color: rgba(0, 0, 0, 0);
  margin: 10px 0;
  font-size: 28px;
  color: #ccc;
}

.member-list-text-content h3 {
  background-color: rgba(0, 0, 0, 0);
  margin-bottom: 10px;
  font-size: 20px;
  color: #aaa;
}

.member-list-text-content h4 {
  background-color: rgba(0, 0, 0, 0);
  margin: 0;
  margin-bottom: 20px;
  font-size: 15px;
  color: #999;
  margin-bottom: 0;
  max-width: 300px;
  transition: opacity 0.7s ease;
}

.centered {
  text-align: center;
}

.futura {
  font-family: Futura, sans-serif;
}

#right-2s-logo {
  width: 275px;
  opacity: 1;
  transition: opacity 1s ease, transform 1s ease;
}

.past-event-description h3 {
  margin-top: 0;
}

.past-event-description {
  max-height: 0;
  overflow: hidden;
  padding: 0 10px;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 5px;
  transition: max-height 0.3s ease, padding 0.3s ease;
}

.past-event-description>p {
  margin-top: 0;
}

.past-event-show {
  max-height: none;
  padding: 10px;
}

.past-event-title,
.event-title,
.large-button {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  margin-top: 10px;
  margin-bottom: 5px;
  border-radius: 5px;
  padding: 10px 10px;
  background: rgba(100, 100, 100, 0.3);
  font-size: 1.17em;
  margin-left: 0;
  margin-right: 0;
  font-weight: bold;
  transition: background-color 0.3s;
}

.large-button:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

.yt-event {
  width: calc(50vw - 20px);
  height: calc(25vw + 25px);
}

.dropdown-arrow {
  transition: transform 0.3s ease;
  font-size: 12px;
}

@media (max-width: 875px) {
  .logo {
    display: none;
  }
}

@media (max-width: 610px) {
  .member-list-text-content h1 {
    font-size: 40px;
  }

  .member-list-text-content h2 {
    font-size: 22px;
  }

  .member-list-text-content h3 {
    font-size: 18px;
  }

  .member-list-text-content h4 {
    font-size: 15px;
  }

  .yt-event {
    width: calc(100vw - 60px);
    height: calc(50vw - 10px);
  }

  #text-container {
    background: none;
    top: calc(100vh + 100px);
    height: calc(100vh - 100px);
  }

  .nav-links {
    flex-direction: column;
  }

  .nav-links a {
    text-align: center;
    text-decoration: none;
    color: white;
    padding: 0px 15px;
    border-radius: 5px;
    transition: background-color 0.3s;
  }

  #banner-2s-container {
    flex-direction: column;
  }

  .navbar {
    margin-top: 30px;
  }

  header {
    height: 100px;
  }

  .header-filler {
    height: 100px;
  }

  .logo img {
    height: 100px;
  }

  .main-text {
    width: calc(100vw - 40px);
  }

  #right-2s-logo {
    display: none;
  }

  .logo {
    display: block;
  }
}

.past-event-geoguessr-image-grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
  gap: 5px;
  padding: 5px;
}

.past-event-geoguessr-image-grid-item {
  overflow: hidden;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.past-event-geoguessr-image-grid-item img {
  width: 100%;
  height: auto;
  display: block;
}

@media only screen and (max-width: 1024px) {
  @supports (-webkit-overflow-scrolling: touch) {
    /*
    Mobile Safari Styles
    */
  }
}